
QGIS Application - Bug report #10095

problem rendering last row of pixels on composer with map item extending to the full width & height 

of sheet

2014-04-20 09:37 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18563

Description

Steps to reproduce:

1. Create an empty project

2. Change the project's background color to black

3. Create a composer

4. Add a map item and make sure its background color is black (it should be by default)

5. Extend the map item's height and width to fully cover the map sheet

6. Export the sheet to a PNG image

7. Open the exported PNG image with Gimp, or Photoshop, and zoom in until pixels are large blocks and go to the very bottom of the

image, you'll notice a non-black line at the very bottom (light gray)

That's a problem that can be irritating when exporting maps, see attached example (last line is white, it shouldn't be)

History

#1 - 2014-04-20 09:43 PM - Mathieu Pellerin - nIRV

- File deleted (one_more.png)

#2 - 2014-04-20 09:49 PM - Mathieu Pellerin - nIRV

Whoops, wrong photo. Here it is: http://i.imgur.com/v6Jlci9.jpg

#3 - 2014-06-21 02:52 AM - Jürgen Fischer

- Category set to Map Composer/Printing

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
